import { chatrank } from './misc/chat.js'
import { world, system } from '@minecraft/server';
let tick = 0;

world.events.beforeChat.subscribe((data) => {
    chatrank(data)
})

loop()
function loop(){
    system.run(() => {
        tick++
        world.getDimension('overworld').runCommandAsync(`testfor @a`).then(e => {console.warn(e.successCount)}, onrejected => {return loop()})
        world.getDimension('overworld').runCommandAsync(`tellraw @a {"rawtext":[{"text":"World has loaded in ${tick} ticks"}]}`)
    })
}