execute as @e[tag=x] if entity @a[team=Lobby,c=1]
effect give @a[team=Lobby] weakness 9999 255 true

execute if block 26 42 -75 minecraft:stone_button[powered=true] run function main/starttest

execute as @a[tag=!spawn] run teleport 26 42 -71
gamemode adventure @a[tag=!spawn]
clear @a[tag=!spawn]
execute as @a[tag=!spawn] run tag @s add 
tag @a add spawn

effect give @a saturation 420 255 true
effect give @a instant_health 420 255 true
effect give @a fire_resistance 9999 255 true
effect give @a night_vision 9999 0 true
effect give @a water_breathing 9999 255 true
execute as @a at @s if block ~ ~-1 ~ air run effect give @s jump_boost 1 255 true

# TEAM JOIN SIGNS

scoreboard players enable @a join

execute as @a[team=!Hider,scores={join=2}] run tag @s add inteam1
execute as @a[scores={join=2},tag=inteam1] run team join Hider @s
execute as @a[scores={join=2},tag=inteam1] run tellraw @a ["",{"text":"- ","color":"yellow"},{"selector":"@a[scores={join=2},tag=inteam1]","color":"blue"},{"text":" joined team ","color":"yellow"},{"text":"Hider","color":"blue","bold":true}]
execute as @a[scores={join=2},tag=inteam1] at @s run playsound block.note_block.xylophone master @a ~ ~ ~ 1 0 1
execute as @a[scores={join=2},tag=inteam1] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.8 1
execute as @a[scores={join=2},tag=inteam1] at @s run playsound block.note_block.chime master @a ~ ~ ~ 1 1.9 1
tag @a[scores={join=2},tag=inteam1] remove inteam1
execute as @a[scores={join=2}] run scoreboard players set @s join 0

execute as @a[team=!Seeker,scores={join=1}] run tag @s add inteam1
execute as @a[scores={join=1},tag=inteam1] run team join Seeker @s
execute as @a[scores={join=1},tag=inteam1] run tellraw @a ["",{"text":"- ","color":"yellow"},{"selector":"@a[scores={join=1},tag=inteam1]","color":"blue"},{"text":" joined team ","color":"yellow"},{"text":"Seeker","color":"red","bold":true}]
execute as @a[scores={join=1},tag=inteam1] at @s run playsound block.note_block.xylophone master @a ~ ~ ~ 1 0 1
execute as @a[scores={join=1},tag=inteam1] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.8 1
execute as @a[scores={join=1},tag=inteam1] at @s run playsound block.note_block.chime master @a ~ ~ ~ 1 1.9 1
tag @a[scores={join=1},tag=inteam1] remove inteam1
execute as @a[scores={join=1}] run scoreboard players set @s join 0

# IGTIMER FOR SECONDS
execute as @e[tag=inGame] as @e[scores={timer=20..},tag=x] run scoreboard players remove @e[tag=x] seconds 1
execute as @e[scores={timer=20..},tag=x] run scoreboard players set @e[tag=x] timer 0
scoreboard players add @e[tag=x] timer 1
execute as @e[tag=inGame] run scoreboard players add @e[tag=x] start 1

#start commands
execute as @e[tag=inGame] at @s run function main/ingame

# FIREWORK

execute as @a[team=Hider,scores={firework=1..}] run scoreboard players remove @e[tag=x] seconds 10
execute as @a[team=Hider,scores={firework=1..}] run scoreboard players add @e[tag=x] start 200

execute as @a[team=Hider,scores={firework=1..}] run tellraw @a ["",{"selector":"@a[scores={firework=1..}]","bold":false},{"text":" has used their firework [-10s]","color":"yellow","bold":false}]
scoreboard players set @a firework 0
execute as @e[type=firework_rocket] run data merge entity @s {LifeTime:20}
tag @e[type=firework_rocket,nbt={Life:10}] add fireworkTp
execute as @e[tag=fireworkTp] at @s run teleport ~ ~5 ~
tag @e[type=firework_rocket,tag=fireworkTp] remove fireworkTp

# TESTEND
execute as @e[tag=end] at @s run function main/end

# TEAMS
team add Lobby
team join Lobby @a[team=]
team modify Lobby friendlyFire false
team modify Lobby nametagVisibility always
team modify Lobby collisionRule never
team modify Lobby seeFriendlyInvisibles false

team add Hider
team modify Hider nametagVisibility never
team modify Hider friendlyFire false
team modify Hider collisionRule never
team modify Hider color blue
team modify Hider seeFriendlyInvisibles false

team add Seeker
team modify Seeker nametagVisibility always
team modify Hider friendlyFire false
team modify Seeker collisionRule never
team modify Seeker color red
team modify Seeker seeFriendlyInvisibles false


# BOOSTPAD 
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost1,c=1,sort=nearest,r=1] run tag @s add boost
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost2,c=1,sort=nearest,r=1] run tag @s add boost
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost3,c=1,sort=nearest,r=1] run tag @s add boost
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost1,c=1,sort=nearest,r=1] run tag @s add boost1
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost2,c=1,sort=nearest,r=1] run tag @s add boost2
execute at @a as @a[m=!spectator,c=1,sort=nearest,r=1] at @e[tag=testboost3,c=1,sort=nearest,r=1] run tag @s add boost3
execute as @e[tag=testboost1] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost2] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost3] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost1] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost1] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1
execute as @e[tag=testboost2] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost2] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1
execute as @e[tag=testboost3] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost3] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1

execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound block.piston.extend master @a ~ ~ ~ 1 1.1 0
execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 2 0.8 0
execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound minecraft:entity.ender_eye.launch master @a ~ ~ ~ 2 0 0
execute as @a[tag=boost,scores={boostimer=1..}] at @s run particle minecraft:cloud ~ ~ ~ 0 0 0 0 1
execute as @a[tag=boost1,scores={boostimer=1}] at @s run summon armor_stand -25 22 9 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[4.0,1.9,-1.7],Tags:["boostpad1"],Rotation:[125F,20F]}
execute as @a[tag=boost2,scores={boostimer=1}] at @s run summon armor_stand 12 23 -2 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[-3.4,1.7,2.0],Tags:["boostpad2"],Rotation:[-15F,20F]}
execute as @a[tag=boost3,scores={boostimer=1}] at @s run summon armor_stand 44 22 46 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[0.4,1.8,-3.7],Tags:["boostpad3"],Rotation:[90F,-20F]}

execute as @a[tag=boost,scores={boostimer=1}] run effect give @s minecraft:slow_falling 10 0 true
execute as @a[tag=boost] run scoreboard players add @s boostimer 1
execute at @a as @e[type=armor_stand,tag=boostpad1,r=5] at @s run tp @a[tag=boost1,c=1,sort=nearest] ~ ~ ~
execute at @a as @e[type=armor_stand,tag=boostpad2,r=5] at @s run tp @a[tag=boost2,c=1,sort=nearest] ~ ~ ~
execute at @a as @e[type=armor_stand,tag=boostpad3,r=5] at @s run tp @a[tag=boost3,c=1,sort=nearest] ~ ~ ~
execute as @a[tag=boost1,scores={boostimer=32..}] run tag @s add boostEND
execute as @a[tag=boost2,scores={boostimer=30..}] run tag @s add boostEND
execute as @a[tag=boost3,scores={boostimer=32..}] run tag @s add boostEND
execute as @a[tag=boostEND] run scoreboard players set @s boostimer 0
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad1,sort=nearest,c=1,r=3]
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad2,sort=nearest,c=1,r=3]
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad3,sort=nearest,c=1,r=3]
execute as @a[tag=boostEND] run effect clear @s minecraft:slow_falling
execute as @a[tag=boostEND] at @s run tp @s ~ ~0.1 ~
execute as @a[tag=boostEND] run tag @s remove boost
execute as @a[tag=boostEND] run tag @s remove boost1
execute as @a[tag=boostEND] run tag @s remove boost2
execute as @a[tag=boostEND] run tag @s remove boost3
execute as @a[tag=boostEND] run tag @s remove boostEND
