import { world, BeforeChatEvent } from '@minecraft/server'

/**
 * 
 * @param {BeforeChatEvent} data 
 * @returns 
 */
function chatrank(data){
    const tags = data.sender.getTags()
    let ranks = [];
    for(const tag of tags){
        if(tag.startsWith('rank:')){
            ranks.push(tag.replace('rank:', ''))
        }
    }
    if(ranks.length == 0)ranks = ["§6Member"]
    
    if(data.message.startsWith("!*")){
        data.cancel = true
        return
    }
    let text = `§f[${ranks}§r§f] §7${data.sender.nameTag}: §f${data.message}`
    world.getDimension('overworld').runCommandAsync(`tellraw @a {"rawtext":[{"translate":${JSON.stringify(text)}}]}`)
    data.cancel = true
}
export { chatrank }